# Migrate CentOS to OpenCloudOS

Run migrate2opencloudos tool will switch CentOS to OpenCloudOS system packages and yum repo.
While script run complete, your centos will change to OpenCloudOS.

## Supported versions

This script supports CentOS Linux 8. if your enviortment is some vault centos version, like  8stream, please update it to centos 8.x, then run this script again.
Note: The risk of cross-version upgrades is still quite large. 

## Before you switch

**IMPORTANT:** 
This script is not perfect and cannot handle all possible situations.
Please ensure you have a **complete backup** of the system and data 
before run this script.

1. Ensure your CentOS `yum` or `dnf` configuration is working.
1. Ensure you have at least 10GB of free space in `/var/cache`.
1. All automatic updates, e.g. via `yum-cron` should be disabled.
1. Ensure your CentOS does not install i686 packages.

## Usage

1. Make sure you can run this script as root.
1. python3 enviroment required.
1. Either clone this repository or download [`migrate2opencloudos.py`][2].
1. Run `python3 migrate2opencloudos.py -v $tlinux_version` to start converting.

## Usage options

* `-v` The version of OpenCloudOS

   The version OpenCloudOS, like `8` .If you do not specify this parameter, the system prompts you to select.

   * `Note that CentOS 8.x supports migration to OpenCloudOS 8`.

* `-c` continue to migration

    When the script is interrupted during the execution of distro-sync, you can use `-c` to continue the execution after solving the problem.

